[coreboot-gerrit] New patch to review for coreboot: a1441f6 board-status: Add field for release year

Patrick Georgi (pgeorgi@google.com) gerrit at coreboot.org
Wed Apr 22 10:16:22 CEST 2015


Patrick Georgi (pgeorgi at google.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/9945

-gerrit

commit a1441f67b41df826b55e25a955d0e48937374d02
Author: Patrick Georgi <pgeorgi at google.com>
Date:   Wed Apr 22 10:14:13 2015 +0200

    board-status: Add field for release year
    
    Add the option to add a release year to each mainboard to
    get a sense of how old the hardware is.
    
    Change-Id: Id43c80fdf8bf65241b2be92678616d1774529f8c
    Signed-off-by: Patrick Georgi <pgeorgi at google.com>
---
 util/board_status/to-wiki/towiki.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/util/board_status/to-wiki/towiki.sh b/util/board_status/to-wiki/towiki.sh
index 3e80d44..fb15358 100755
--- a/util/board_status/to-wiki/towiki.sh
+++ b/util/board_status/to-wiki/towiki.sh
@@ -176,6 +176,7 @@ EOF
 			vendor_cooperation_page="$(sed -n "/^[[:space:]]*Vendor cooperation page:/ s,^[[:space:]]*Vendor cooperation page:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
 			board_url="$(sed -n "/^[[:space:]]*Board URL:/ s,^[[:space:]]*Board URL:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
 			clone_of="$(sed -n "/^[[:space:]]*Clone of:/ s,^[[:space:]]*Clone of:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
+			release_year="$(sed -n "/^[[:space:]]*Release year:/ s,^[[:space:]]*Release year:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
 		else
 			vendor_2nd=
 			board_nice=
@@ -187,6 +188,7 @@ EOF
 			vendor_cooperation_page=
 			board_url=
 			clone_of=
+			release_year=
 		fi
 		if [ "$last_vendor" != "$vendor" ]; then
 			last_vendor="$vendor"
@@ -403,6 +405,10 @@ EOF
 
 		echo "| [[Board:$vendor/$board|$board_nice]]"
 
+		if ! [ -z "$release_year" ]; then
+			echo " (released $release_year)"
+		fi
+
 		if [ -z "$lastgood" ]; then
 			echo "| style=\"background:red\" | Unknown"
 		else



More information about the coreboot-gerrit mailing list